<?php
$Cliente = isset($_POST['key']) ? $_POST["key"]  : ""; 

include_once('db_config.php');
ini_set('max_execution_time', 120);

   if( strlen($Cliente) > 0 ) {
      $sql = "select sql_no_cache id, Nombre_Empresa, DescripcionEjercicio, FechaInicio, FechaFin, Activa from ejercicios where Nombre_Empresa like '" . $Cliente . "%' order by Nombre_Empresa, DescripcionEjercicio";
   }
   else {
      $sql = "select sql_no_cache id, Nombre_Empresa, DescripcionEjercicio, FechaInicio, FechaFin, Activa from ejercicios order by Nombre_Empresa";
   }

   $first = true;
   $sql = "select sql_no_cache id, Nombre_Empresa, DescripcionEjercicio, FechaInicio, FechaFin, Activa from ejercicios where Nombre_Empresa like '" . $Cliente . "%' order by Nombre_Empresa, DescripcionEjercicio";
   $result = $conn->query($sql);
   if ($result->num_rows > 0) {
      echo "[";
      while( $row = $result->fetch_assoc() ) {
         if( $first == false ) echo ",";
         if( $row["Activa"] == 1 ) $Activa = " (Activa)";
         else $Activa = "";
         echo "{\"option\":\"" . $row["id"] . "\",\"nombre\":\"" . $row["DescripcionEjercicio"] . " " . $Activa . "\" }";
         $first = false;
      }
      echo "]";
   }
   else echo "[]";
   mysqli_free_result( $result ); 
   
   mysqli_close($conn);
?>

